Permalink
Browse files

new roo gem

  • Loading branch information...
1 parent a978bc4 commit ebd1cc50749d780b3383b665782c6a0a745015ae @seamusabshere seamusabshere committed Nov 10, 2010
Showing with 5 additions and 7 deletions.
  1. +1 −2 Rakefile
  2. +0 −1 lib/remote_table.rb
  3. +4 −4 remote_table.gemspec
View
@@ -10,8 +10,7 @@ begin
gem.email = "seamus@abshere.net"
gem.homepage = "http://github.com/seamusabshere/remote_table"
gem.authors = ["Seamus Abshere", "Andy Rossmeissl"]
- # sabshere [unknown date] roo 1.9.3 doesn't work, so use old 1.3 version
- gem.add_dependency 'roo', '1.3.11'
+ gem.add_dependency 'roo', '~>1.9'
# sabshere 9/30/10 depending on fastercsv when using ruby 1.9.2 results in exiting with error
# gem.add_dependency 'fastercsv', '>=1.5.0'
gem.add_dependency 'activesupport', '>=2.3.4'
View
@@ -30,7 +30,6 @@
require 'slither'
require 'escape'
require 'roo'
-I_KNOW_I_AM_USING_AN_OLD_AND_BUGGY_VERSION_OF_LIBXML2 = true
require 'nokogiri'
require 'remote_table/transform'
require 'remote_table/request'
View
@@ -9,7 +9,7 @@ Gem::Specification.new do |s|
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Seamus Abshere", "Andy Rossmeissl"]
- s.date = %q{2010-10-07}
+ s.date = %q{2010-11-10}
s.description = %q{Remotely open and parse Excel XLS, ODS, CSV and fixed-width tables.}
s.email = %q{seamus@abshere.net}
s.extra_rdoc_files = [
@@ -57,22 +57,22 @@ Gem::Specification.new do |s|
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<roo>, ["= 1.3.11"])
+ s.add_runtime_dependency(%q<roo>, ["~> 1.9"])
s.add_runtime_dependency(%q<activesupport>, [">= 2.3.4"])
s.add_runtime_dependency(%q<slither>, [">= 0.99.4"])
s.add_runtime_dependency(%q<nokogiri>, [">= 1.4.1"])
s.add_runtime_dependency(%q<escape>, [">= 0.0.4"])
s.add_development_dependency(%q<errata>, [">= 0.2.0"])
else
- s.add_dependency(%q<roo>, ["= 1.3.11"])
+ s.add_dependency(%q<roo>, ["~> 1.9"])
s.add_dependency(%q<activesupport>, [">= 2.3.4"])
s.add_dependency(%q<slither>, [">= 0.99.4"])
s.add_dependency(%q<nokogiri>, [">= 1.4.1"])
s.add_dependency(%q<escape>, [">= 0.0.4"])
s.add_dependency(%q<errata>, [">= 0.2.0"])
end
else
- s.add_dependency(%q<roo>, ["= 1.3.11"])
+ s.add_dependency(%q<roo>, ["~> 1.9"])
s.add_dependency(%q<activesupport>, [">= 2.3.4"])
s.add_dependency(%q<slither>, [">= 0.99.4"])
s.add_dependency(%q<nokogiri>, [">= 1.4.1"])

0 comments on commit ebd1cc5

Please sign in to comment.